package main

import (
	"cloudDevice2/sampleapi/handler"

	"github.com/labstack/echo"
	"github.com/labstack/echo/middleware"
)

const PORT string = ":8088"

func main() {

	echoInstance := echo.New()
	handler.SetRoutes(echoInstance)
	echoInstance.Use(middleware.LoggerWithConfig(middleware.LoggerConfig{
		Format: "method=${method}, uri=${uri}, status=${status}\n",
	}))
	echoInstance.Use(middleware.Recover())

	echoInstance.Logger.Info(echoInstance.Start(PORT))
}
