package model

type ResponseCode struct {
	ReturnCode int
}

type CallRecord struct {
	Status      int    `json:"status"`
	Call_number string `json:"call_number"`
	Start_time  string `json:"start_time"`
	End_time    string `json:"end_time"`
}

type CallLogWithAlarm struct {
	Alarm_time string        `json:"alarm_time"`
	Lat        string        `json:"lat"`
	Lon        string        `json:"lon"`
	Call_logs  []*CallRecord `json:"call_logs"`
}

type DeviceCallLogs struct {
	Deviceid         string              `json:"deviceid"`
	Normal_call_logs []*CallRecord       `json:"normal_call_logs"`
	Sos              []*CallLogWithAlarm `json:"sos"`
}

type DeviceInfo struct {
	Deviceid           string `json:"deviceid"`
	Imsi               string `json:"imsi"`
	SN                 string `json:"sn"`
	Mac                string `json:"mac"`
	NetType            string `json:"net_type"`
	NetOperator        string `json:"net_operator"`
	WearingStatus      string `json:"wearing_status"`
	Model              string `json:"model"`
	Version            string `json:"version"`
	Sim1_IccId         string `json:"sim1_iccid"`
	Sim1_CellId        string `json:"sim1_cellid"`
	Sim1_NetAdhere     string `json:"sim1_netadhere"`
	Network_Status     string `json:"network_status"`
	Band_Detail        string `json:"band_detail"`
	RefSignal          string `json:"refsignal"`
	Band               string `json:"band"`
	Communication_Mode string `json:"communication_mode"`
}
